Method: projects.locations.endpoints.patch

Updates the parameters of a single Endpoint.

HTTP request


PATCH https://alloydb.googleapis.com/v1beta/{endpoint.name=projects/*/locations/*/endpoints/*}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
endpoint.name

string

Output only. Identifier. The name of the endpoint resource with the format: * projects/{project}/locations/{region}/endpoints/{endpointId} where the endpoint ID segment should satisfy the regex expression [a-z0-9-]+. For more details see https://google.aip.dev/122. The prefix of the endpoint resource name is the name of the parent resource: * projects/{project}/locations/{region}

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. Field mask is used to specify the fields to be overwritten in the Endpoint resource by the update. The fields specified in the updateMask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

requestId

string

Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server ignores the request if it has already been completed. The server guarantees that for at least 60 minutes since the first request.

For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if the original operation with the same request ID was received, and if so, ignores the second request. This prevents clients from accidentally creating duplicate commitments.

The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).

validateOnly

boolean

Optional. If set, the backend validates the request, but doesn't actually execute it.

allowMissing

boolean

Optional. If set to true, update succeeds even if endpoint is not found. In that case, a new endpoint is created and updateMask is ignored.

Request body

The request body contains an instance of Endpoint.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/alloydb
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.